/*
 * Alert
 *
 * Index
 * - Alert
 * - Icon
 * - Description
 * - Feedback
 */


/* ALERT
 -------------------- */

:host {
  position: relative;
  display: flex;
  align-items: flex-start;
  padding: 0.5rem 1rem 0.5rem 0.5rem;
  font-family: var(--road-font, sans-serif);
  font-size: var(--road-body-medium);
  line-height: 1.25;
  color: var(--road-on-surface);
  border: 1px solid transparent;
  border-radius: 0.25rem;
}

/* ICON
 -------------------- */

.alert-icon {
  flex-shrink: 0;
  width: 2rem;
  height: 2rem;
  margin-right: 0.5rem;
}

/* ALERT TITLE
 -------------------- */

.alert-title {
  padding: 0.375rem 0 0;
  font-weight: 700;
}

/* ALERT LINK
 -------------------- */

.alert-link {
  display: block;
  margin: 0;
  color: var(--road-on-surface);
  text-decoration: underline;
}

/* DESCRIPTION
 -------------------- */

.alert-description {
  padding: 0.375rem 0;
  margin: 0;
}

/* FEEDBACK
 -------------------- */

/**
 * Info
 */

:host(.alert-info) {
  color: var(--road-on-info-surface);
  background: var(--road-info-surface);
  border-color: var(--road-info-outline);
}

:host(.alert-info) ::slotted(road-icon) {
  fill: var(--road-info-default);
}

:host(.alert-info) ::slotted(road-button) {
  display: block;
  margin: 0.375rem 0 0;
  color: var(--road-on-info-surface-inverse);
  background: var(--road-info-surface-inverse);
  fill: var(--road-on-info-surface-inverse);
}

:host(.alert-info) .alert-link {
  color: var(--road-on-info-surface);
}


/**
 * Success
 */

:host(.alert-success) {
  color: var(--road-on-success-surface);
  background: var(--road-success-surface);
  border-color: var(--road-success-outline);
}

:host(.alert-success) ::slotted(road-icon) {
  fill: var(--road-success-icon);
}

:host(.alert-success) ::slotted(road-button) {
  display: block;
  margin: 0.375rem 0 0;
  color: var(--road-on-success-surface-inverse);
  background: var(--road-success-surface-inverse);
  fill: var(--road-on-success-surface-inverse);
}

:host(.alert-success) .alert-link {
  color: var(--road-on-success-surface);
}

/**
 * Warning
 */

:host(.alert-warning) {
  color: var(--road-on-warning-surface);
  background: var(--road-warning-surface);
  border-color: var(--road-warning-outline);
}

:host(.alert-warning) ::slotted(road-icon) {
  fill: var(--road-warning-icon);
}

:host(.alert-warning) ::slotted(road-button) {
  display: block;
  margin: 0.375rem 0 0;
  color: var(--road-on-warning-surface-inverse);
  background: var(--road-warning-surface-inverse);
  fill: var(--road-on-warning-surface-inverse);
}

:host(.alert-warning) .alert-link {
  color: var(--road-on-warning-surface);
}

/**
 * Danger
 */

:host(.alert-danger) {
  color: var(--road-on-danger-surface);
  background: var(--road-danger-surface);
  border-color: var(--road-danger-outline);
}

:host(.alert-danger) ::slotted(road-icon) {
  fill: var(--road-danger-icon);
}

:host(.alert-danger) ::slotted(road-button) {
  display: block;
  margin: 0.375rem 0 0;
  color: var(--road-on-danger-surface-inverse);
  background: var(--road-danger-surface-inverse);
  fill: var(--road-on-danger-surface-inverse);
}

:host(.alert-danger) .alert-link {
  color: var(--road-on-danger-surface);
}
